pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: CVS commit: pkgsrc/devel/subversion16-base

On Sun, 10 Feb 2013, Ryo ONODERA wrote:
subversion 1.7.x has only one .svn directory and the contents of
.svn directory have changed.
This is the reason why I have added subversion16.

If you have third party scripts that attempt to parse the contents of .svn directories, or even just check for the existence of a .svn subdirectory as a quick (though unsupported) way to answer the question "is this directory part of a subversion working copy?" then the change from subversion-1.6 to subversion-1.7 is problematic. So I agree that a subversion-1.6 package is a good idea.

I should write this in commit log.

And in the DESCR files, please.

Whenever pkgsrc has multiple variants of a package, I think that the DESCR file should contain information to help users choose the most appropriate variant. The question "How would I choose between the subversion packages with or without -base in their name?" seems to be cleary answered by the DESCR files, but the question "How would I choose between the subversion, subversion16, or subversion17 packages?" is not clearly answered.

--apb (Alan Barrett)

Home | Main Index | Thread Index | Old Index